SenseCrypt Docs
API ReferenceScim

List/search users (SCIM 2.0)

GET/v1/idp/scim/v2/Users

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

filter?string|null
startIndex?Startindex
Range1 <= value
Default1
count?Count
Range0 <= value
Default100
sortBy?string|null
sortOrder?string|null
attributes?string|null
excludedAttributes?string|null

Response Body

application/json

curl -X GET "https://example.com/v1/idp/scim/v2/Users"
{  "schemas": [    "urn:ietf:params:scim:api:messages:2.0:ListResponse"  ],  "totalResults": 1,  "startIndex": 1,  "itemsPerPage": 1,  "Resources": [    {      "schemas": [        "urn:ietf:params:scim:schemas:core:2.0:User"      ],      "id": "2819c223-7f76-453a-919d-413861904646",      "userName": "jdoe",      "active": true,      "externalId": "ext-8a1f",      "displayName": "John Doe",      "name": {        "formatted": "John Doe"      },      "emails": [        {          "value": "jdoe@corp.com",          "primary": true,          "type": "work"        }      ],      "meta": {        "resourceType": "User",        "created": "2026-06-10T22:05:00+00:00",        "lastModified": "2026-06-10T22:05:00+00:00",        "version": "W/\"a1b2c3d4e5f60718\"",        "location": "https://acme.example.com/v1/idp/scim/v2/Users/2819c223-7f76-453a-919d-413861904646"      }    }  ]}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}